<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Bollinger</title>
</head>
<body>
<div style="text-align: center">
    <label for="file">File: </label><input id="file" type="file"/>
    <label for="coef">Coef: </label><input id="coef" type="number" value="2"/>
    <label for="range">Range: </label><input id="range" type="number" value="20"/>
    <button onclick="run()">Refresh
    </button>
</div>
<canvas id="myChartCanvas1"></canvas>
<canvas id="myChartCanvas2"></canvas>
<script>
    const myChart1 = require('./renderer.js').bollinger("myChartCanvas1")
    const myChart2 = require('./renderer.js').stoc_osc("myChartCanvas2")

    function run() {
        myChart1.render(
            document.getElementById('range').value,
            document.getElementById('coef').value,
            document.getElementById('file').files[0].path)
        myChart2.render(
            document.getElementById('file').files[0].path)
    }
</script>
</body>
</html>
